-- name: Arena - BlockFort
-- description: BlockFort Arena Level inspired by mario kart. hope you have a great game! - Made by Shifity

-- register the level here
LEVEL_ARENA_BLOCKFORT = level_register('level_arena_blockfort_entry', COURSE_NONE, 'BlockFort', 'blockfort', 28000, 0x28, 0x28, 0x28)

-- make sure we don't add the level twice
local sAddedLevels = false

function on_level_init()
    -- make sure we don't add the level twice
    if sAddedLevels then return end
    sAddedLevels = true

    -- make sure Arena was loaded
    if not _G.Arena then
        djui_popup_create("Error: the Arena gamemode wasn't loaded!", 2)
        return
    end

    -- add the level to arena
    _G.Arena.add_level(LEVEL_ARENA_BLOCKFORT, 'BlockFort')
    if _G.ShineThief then
        _G.ShineThief.add_painting(get_texture_info("painting_blockfort"))
    end
end

hook_event(HOOK_ON_LEVEL_INIT, on_level_init)
